<!--
Ajaxonomy's Bury Counter was written by Mark Gharibian and David Hurth. This application is licensed under the GPL and you may put this applicayion on any server providing you link to ajaxonomy.com and give us credit for the application. To report bugs use the contact form at ajaxonomy.com.
-->
<html>
<head>
<title>Ajaxonomy Bury Recorder</title>
<script type="text/javascript">
		/*
			Created by Ajaxonomy.com
		*/
			var BuryCount = 0;
			var BackColorCounter = 0;
			var JSONTimeStamp = new Array();
			var AjaxConnecttion;
			var net=new Object();
			net.READY_STATE_UNINITIALIZED=0;
			net.READY_STATE_LOADING=1;
			net.READY_STATE_LOADED=2;
			net.READY_STATE_INTERACTIVE=3;
			net.READY_STATE_COMPLETE=4;
			net.ContentLoader=function(url, onload, onerror, callingobject){
				this.url=url;
				this.req=null;
				this.callingobject=callingobject;
				this.onload=onload;
				this.onerror=(onerror) ? onerror : this.defaultError;
				this.loadXMLDoc(url);
			};
			net.ContentLoader.prototype={
				loadXMLDoc:function(url){
						if(window.XMLHttpRequest){
								this.req=new XMLHttpRequest();
								if (this.req.overrideMimeType) {
								 this.req.overrideMimeType('text/xml');
							}
						} else if (window.ActiveXObject){
								try {
								this.req=new ActiveXObject("Msxml2.XMLHTTP");
						} catch (err) {
							try {
								this.req=new ActiveXObject("Microsoft.XMLHTTP");
						} catch (err) {}
						}
						}
						if(this.req){
								try{
							var loader=this;
										this.req.onreadystatechange=function(){
												loader.onReadyState.call(loader);
										};
										var TimeStamp = new Date().getTime();//This fixes a cache problem
										if(url.indexOf("?")<0){
											this.req.open('GET', url+"?timestamp="+TimeStamp, true);
										}else{
											this.req.open('GET', url+"&timestamp="+TimeStamp, true);
										}
										this.req.send(null);
								} catch (err){
										this.onerror.call(this);
								}
						}
				},
				onReadyState:function(){
						var req=this.req;
						var ready=req.readyState;
						if(ready==net.READY_STATE_COMPLETE){
								var httpStatus=req.status;
								if(httpStatus==200||httpStatus===0){
										this.onload.call(this);
								} else {
										this.onerror.call(this);
								}
						}
				},
				defaultError:function(){
						alert("error fetching data!" + "\n\nreadyState: "+this.req.readyState + "\nstatus: "+this.req.status+"\nheaders: "+this.req.getAllResponseHeaders());
				}
			};
		function GetUpdate(){
			document.getElementById('lodinggif').style.display = "block";
			document.getElementById('counterholder').src = "http://www.ajaxonomy.com/diggproxy/diggs.php?address=" + document.getElementById('diggstory').value;
			AjaxConnecttion = new net.ContentLoader("serverproxy.php", LoadJSONCode, LoadJSONCode, document.getElementById('diggtable'));
		}
		function LoadJSONCode(){
			var JSONArray = eval(this.req.responseText);
			//loop through array and look for story
			for(var a=0; a<JSONArray.length; a++){
				if((document.getElementById('diggstory').value == ("http://digg.com"+JSONArray[a].plk) || document.getElementById('diggstory').value == ("http://www.digg.com"+JSONArray[a].plk)) && JSONArray[a].type == "report"){
				var AlreadyProcessed = 0;
				var TimeStampCounter = 0;
					for(var b=0; b<JSONTimeStamp.length; b++){
						if(JSONTimeStamp[b] == JSONArray[a].timestamp){
							AlreadyProcessed = 1;
						}
						TimeStampCounter += 1;
					}
					if(AlreadyProcessed == 0){
						BuryCount += 1;
						var CurrentColor;
						if(BackColorCounter == 0){
							CurrentColor = "#68CFEF";
						} else {
							CurrentColor = "#1E98D8";
						}
						var TempInnerHTML = document.getElementById('diggtable').innerHTML.replace(/<\/table>/gi, "");
						TempInnerHTML += "<tr style='background-color: " + CurrentColor + ";'><td>" + JSONArray[a].reason + "</td><td>" + JSONArray[a].dig_count + "</td><td>" + BuryCount + "</td><td>" + Date() + "</td><td>" + JSONArray[a].area + "</td></tr></table>";
						document.getElementById('diggtable').innerHTML = TempInnerHTML;
						TempInnerHTML = null;
						JSONTimeStamp[TimeStampCounter] = JSONArray[a].timestamp;
						BackColorCounter += 1;
						if(BackColorCounter == 2){
							BackColorCounter = 0;
						}
						CurrentColor = null;
					}
				}
			}
			JSONArray = null; //This is to prevent a memory leak
			document.getElementById('lodinggif').style.display = "none";
		}
		function startgettingdiggs(){
			document.getElementById('diggtable').innerHTML = "<table id='diggtable' width='100%' border='0' cellspacing='0' cellpadding='0' style='border: 1px solid #000000;'><tr><td>Reason for Bury</td><td>Digg Count at Time of Bury</td><td>Bury Count</td><td>Time/Date of Bury</td><td>Area of Digg</td></tr></table>";
			GetUpdate();
			var getDiggs = setInterval("GetUpdate()",20000);
		}
		function FixFormatting(){
			if(document.all){
				document.getElementById('BuryLogo').style.top = "35px";
			}
		}
	</script>
<style type="text/css">
<!--
h3 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 14px;
}
.defaulttext {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 10px;
}
-->
</style>
</head>
<body class="defaulttext" leftmargin="0" rightmargin="0" topmargin="0" bottommargin="0" onLoad="javascript:FixFormatting();">
<!-- begin header -->

    <div id="header" style="background-image: url('header-bg.png'); background-repeat: repeat-x;">
      &nbsp;&nbsp;<a href="http://ajaxonomy.com" title="Home">
          <img class="logo" src="logo.png" alt="Home" border="0" />
        </a>
    <div id="BuryLogo" style="position:absolute;top:12px;left:300px;"><h2 style="font-size:36px;color:#FFFFFF;">Bury Recorder</h2></div>
    </div>
	<br />
	<center><iframe id="counterholder" frameborder="0" style="width: 50px; height: 80px;" scrolling="no" src="logo.html"></iframe><br />
	<b>Copy and past the url of the <a href="http://digg.com">Digg</a> story that you want to follow. The application will capture any buries from the time that you click the button.</b><br />
	<i>Please not that the story URL is the URL of the page that the "more" link on the Digg upcoming/popular pages takes you or the page that clicking on the story title takes from your profile i.e. http://digg.com/[story]</i><br />
	<input type="text" id="diggstory" name="diggstory" value="<?php echo($_GET['address']); ?>" size="50" />&nbsp;<input type="button" value="Watch for Buries" onClick="javascript:startgettingdiggs();" /></center><br /><br/>
	<div id="diggtable">
	</div>
	<div id="lodinggif" style="display: none;"><center><img src="16_cycle_one_24.gif" /></center></div>
	<br />
	<br />
	<center>
	<div class="adsense">
<script type="text/javascript"><!--
google_ad_client = "pub-0608769457696669";
google_ad_type = "text";
google_ad_channel = "Ajaxonomy";
google_ad_width = 468;
google_ad_height = 60;
google_ad_format = "468x60_as"; 
google_color_border = "336699";
google_color_bg = "FFFFFF";
google_color_link = "336699";
google_color_url = "FF8C00";
google_color_text = "000000";
//--></script>
<script type="text/javascript"
 src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
</script>
</div>
</center>
<br /><br />
	<center><i>Created by <a href="http://ajaxonomy.com">Ajaxonomy</a>. This tool is an open source project and you can post it on your own server we just as for credit and a link. This application uses the <a href="http://www.gnu.org/licenses/gpl-3.0.txt">GPL license</a>. To get the source code for this project visit <a href="http://www.ajaxonomy.com/2007/ajax/get-insight-into-diggs-bury-system-with-ajaxonomys-bury-recorder">Ajaxonomy.com</a></i>
	<br /><br />Firefox users drag this link to the bookmark section. Internet Explorer userers right-click and then choose add to favorites.<br/><a href="javascript:x=document;a=encodeURIComponent(x.location.href);t=encodeURIComponent(x.title);d=encodeURIComponent(window.getSelection());location.href='http://www.ajaxonomy.com/diggproxy/diggtool.php?address='+a;void 0;"><img src="bury1.png" border="0" />Record Buries</a>.<br/>Once you add the bookmarklet you can click on it from the digg page and the url will automatically be entered into the above box.</center>
</body>
</html>